/* -----------------------------------------------------------------------
 *
 * Project:		UT-SNMP
 *
 * Filename:    lpm.h (lower protocol function module)
 *
 * Date:        September 1994
 *
 * Purpose:		header file for sim module.
 *
 * Author(s):	Vincent G. M. Berkhout, Frederic P. H. van Hengstum,
 *
 * -----------------------------------------------------------------------
 */

#ifndef LPM_H
#define LPM_H

#include <snmpTypes.h>
#include <spmSnmpMIB.h>
#include <spmMIB_INT.h>
#include <spmReceive.h>
#include <spmSend.h>
#include <spmBer1.h>
#include <spmBer2.h>
#include <spmDES.h>
#include <spmMD5.h>
#include <spmTIM.h>

typedef struct {
	AsnInt type, etype, eindex;
	VarBindList *vbl;
} AsnData;


#endif /* ! LPM_H */

/* -----------------------------------------------------------------------
 */
