/* -----------------------------------------------------------------------
 *
 * Project:		UT-SNMP
 *
 * Filename:    ipm.h (intermediate protocol function module)
 *
 * Date:        September 1994
 *
 * Purpose:		header file for ipm module.
 *
 * Author(s):	Vincent G. M. Berkhout, Frederic P. H. van Hengstum,
 *
 * -----------------------------------------------------------------------
 */

#ifndef IPM_H
#define IPM_H

#include <snmpTypes.h>
#include <lpm.h>
#include <upm.h>
#include <yp2.h>
#include <spmSnmpMIB.h>
#include <spmMIB_INT.h>

static int SNMP_DEBUG_MAIN = 0;

NibbleMem *nmP = NULL;      /* Permanent allocated nibble memory */
NibbleMem *nmT = NULL;      /* Temporary allocated nibble memory */

typedef struct {
	AsnInt type, etype, eindex;
	VarBindList *vbl;
} AsnIpmData;

#endif /* ! IPM_H */

/* -----------------------------------------------------------------------
 */
